summaryrefslogtreecommitdiffstats
path: root/audio/swh-plugins/swh-plugins.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'audio/swh-plugins/swh-plugins.SlackBuild')
-rw-r--r--audio/swh-plugins/swh-plugins.SlackBuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/audio/swh-plugins/swh-plugins.SlackBuild b/audio/swh-plugins/swh-plugins.SlackBuild
new file mode 100644
index 0000000000..5186e0e596
--- /dev/null
+++ b/audio/swh-plugins/swh-plugins.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for swh-plugins
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=swh-plugins
+VERSION=0.4.15
+ARCH=${ARCH:-i486} # Same as FFTW, see below.
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# SIMD Selection, see configure line.
+WITH_SSE=${WITH_SSE:-yes}
+WITH_3DNOW=${WITH_3DNOW:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Uncomment this to override the SIMD settings above (not recommended)
+#CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-3dnow=$WITH_3DNOW \
+ --enable-sse=$WITH_SSE \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz